Bug 970078 - Symlink for the secondary cartridge which generated during migration will be left in gear home dir after remove the cartridge
Summary: Symlink for the secondary cartridge which generated during migration will be ...
Status: CLOSED WONTFIX
Alias: None
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
(Show other bugs)
Version: 2.x
Hardware: Unspecified Unspecified
medium
low
Target Milestone: ---
: ---
Assignee: Jhon Honce
QA Contact: libra bugs
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-03 12:34 UTC by Meng Bo
Modified: 2015-05-14 23:20 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-08 18:17:27 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Meng Bo 2013-06-03 12:34:35 UTC
Description of problem:
Create non-scalable app with some addon cartridges added.
Do upgrade and migration, it will generate some symlinks in the gear home dir.

Remove the addon cartridge, the symlink will be left over.


Version-Release number of selected component (if applicable):
STG(devenv-stage_356)

How reproducible:
always

Steps to Reproduce:
1.Create non-scale app on devenv-stage_353
2.Add cartridges to the app
3.Do server upgrade and migration
4.Remove the addon cartridge from the app
5.SSH login to the gear and check the home dir

Actual results:
The symlink for the removed addon cartridge will be left over.

Expected results:
Symlink should be removed with the cartridge.

Additional info:


Note You need to log in before you can comment on or make changes to this bug.